/**
 * @file exe_parse_pe.d
 * @brief A test PE parser
 * @author Sebastien Alaiwan
 * @date 2014-10-09
 */

/*
 * Copyright (C) 2014 - Sebastien Alaiwan
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

import std.stdio;
import std.string;
import model_pe;
import model;
import win32_types;
import parser_generator;

// generate parser

mixin(getParserCode(model_pe.Model()));

int main(string[] args)
{
  auto s = new Stream("tests/simple.exe");
  auto p = parse_PE(s);
  print_PE("PE", p, stdout);
  return 0;
}

